window.onload = function(){
// Get element
var items = document.getElementsByClassName("item");

// Iterate over the list of elements
for (var i = 0; i < items.length; i++) {
  var item = items[i];

  // Adding event listeners
  item.addEventListener("mouseenter", function() {
    this.style.backgroundColor = "#b2d4ed";
    this.style.opacity = "0.8";
    this.style.boxShadow = "0 0 5px aqua, 0 0 75px aqua, 0 0 155px aqua";
    this.style.color = "black";
  });

  item.addEventListener("mouseleave", function() {
    this.style.backgroundColor = ""; // Clear background colour
    this.style.opacity = ""; // Clear transparency
    this.style.boxShadow = ""; // Clear Shadow Effect
    this.style.color = ""; // Clear text colour
  });
}


document.querySelectorAll('a').forEach(function(link) {
    link.addEventListener('click', function(event) {
      event.preventDefault(); // Preventing Link Default Behaviour
  
      var targetPage = this.getAttribute('href'); // Get the URL of the target page
  
      document.querySelector('.page-transition').classList.add('fade-out'); // Adding a Fade-out Class Name
  
      // Jump to the target page at the end of the transition animation
      setTimeout(function() {
        window.location.href = targetPage;
      }, 500);
    });
  });
}